Subject: [87attendees] Lost specs

From: Keith Mitchell <[email-masked]>
Date: Mon, 29 Jul 2013 15:58:29 -0400

Somewhere in the vicinity of the Greek restaurant across the road from
the hotel I appear to have lost my reading glasses :-( They were in a
maroon case, if anyone came across them I would much appreciate hearing
from you.

Keith